<cfparam name="url.id">
<cfset art = application.artservice.getArtPiece(url.id)>

<!DOCTYPE html> 
<html> 
	<head> 
	<meta name="viewport" content="width=device-width, initial-scale=1"> 	
	<cfoutput><title>Art - #art.name#</title></cfoutput>
	<link rel="stylesheet" href="http://code.jquery.com/mobile/1.0b1/jquery.mobile-1.0b1.min.css" />
	<script src="http://code.jquery.com/jquery-1.6.1.min.js"></script>
	<script src="http://code.jquery.com/mobile/1.0b1/jquery.mobile-1.0b1.min.js"></script>
</head> 
<body> 

<cfoutput>
<div data-role="page" class="artDetail" data-artid="#url.id#">

	<div data-role="header">
		<a href="##homePage" data-icon="home" data-iconpos="notext">Home</a>
		<h1>#art.name#</h1>
	</div>
	<div data-role="content">	
		<b>Artist: </b> #art.artist#<br/>
		<b>Price: </b> #dollarFormat(art.price)#<br/>
		#art.description#
		<p/>
		<img src="#art.image#">

		<div class="addToFavoritesDiv" style="display:none"><a href="" data-role="button" data-artid="#art.id#">Add to Favorites</a></div>
		<div class="removeFromFavoritesDiv" style="display:none"><a href="" data-role="button" data-artid="#art.id#">Remove from Favorites</a></div>
	</div>

</div>
</cfoutput>

</body>
</html>